Subject: bug#24755: 25.1; Selection continues with no mouse button pressed

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Oct 2016 22:52:47 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Mats Palmgren <[email-masked]>,  [email-masked]
> Date: Wed, 26 Oct 2016 15:29:55 -0400
> 
> > Stefan, could you please fix this?  It seems to be due to changes in
> > how mouse-drag-track handles mouse events: in Emacs 24.5, the code
> > handled mouse clicks as well, whereas now it doesn't seem to.  So
> > releasing the mouse button while Ctrl or Shift is pressed signals an
> > error now, instead of finishing the drag event.
> 
> > The fix should go to the emacs-25 branch.
> 
> I pushed the patch below to emacs-25, which should fix it.

Thanks.  It fixes the original bug, but the resulting behavior is not
identical to Emacs 24.5, because once you release mouse-1, the
selected text loses its highlight.  In Emacs 24.5, the highlight would
stay.